Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.picocontainer.injectors
Class ProviderTestCase.ExampleRequestReader

    java.lang.Object
      org.picocontainer.injectors.ProviderAdapter
          org.picocontainer.injectors.ProviderTestCase.ExampleRequestReader

All Implemented Interfaces:
  org.picocontainer.ComponentAdapter, org.picocontainer.Injector, org.picocontainer.injectors.Provider

Enclosing class:
  ProviderTestCase

    public static class ProviderTestCase.ExampleRequestReader

extends org.picocontainer.injectors.ProviderAdapter

Nested Class Summary

Nested classes/interfaces inherited from interface org.picocontainer.ComponentAdapter
`org.picocontainer.ComponentAdapter.NOTHING`

Constructor Summary
`ProviderTestCase.ExampleRequestReader(Class clazz, String paramName)`

Method Summary
`Class` | `getComponentImplementation()`
`Object` | `provide(ProviderTestCase.StubHttpRequest req)`

Methods inherited from class org.picocontainer.injectors.ProviderAdapter
`accept, decorateComponentInstance, findAdapterOfType, getComponentInstance, getComponentInstance, getComponentKey, getDelegate, getDescriptor, getProvideMethod, useNames, verify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProviderTestCase.ExampleRequestReader

    public ProviderTestCase.ExampleRequestReader(Class clazz,
                                                 String paramName)

Method Detail

### getComponentImplementation

    public Class getComponentImplementation()

  Specified by:
    `getComponentImplementation` in interface `org.picocontainer.ComponentAdapter`
  Overrides:
    `getComponentImplementation` in class `org.picocontainer.injectors.ProviderAdapter`

### provide

    public Object provide(ProviderTestCase.StubHttpRequest req)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 Codehaus. All Rights Reserved.